mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.MD5 Implementation of the MD5 cryptographic hash function.

In Mono this class is completely implemented in managed code.

WARNING: Collisions are recently been found in MD5. Therefore you should consider using another hash algorithm for new design and evaluate migration for current designs. Note that this may or may not affect you depending on your usage (e.g. MD5 based HMAC are still safe).

- Constructor
  Creates a new MD5CryptoServiceProvider.
  To be added
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` Byte array containing the data to hash. Where in the input buffer to start. Size in bytes of the data in the buffer to hash. Drives the hashing function. To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Byte[] This finalizes the hash. Takes the data from the chaining variables and returns it. To be added: an object of type 'byte []' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void Resets the class after use. Called automatically after hashing is done. 1.0.5000.0 2.0.0.0 4.0.0.0
System.Runtime.InteropServices.ComVisible(true)